## libexplain 0.47.D001-1

=== debian/changelog ===
libexplain (0.47.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next pulic release.
  * 0.46.D002: Closes: #611652
  * This is a summary, see earlier changelog entries for details of individual
    bug fixes.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 27 Sep 2011 21:53:55 +1000

libexplain (0.46.D014-1) unstable; urgency=low

  * Explanations are now available for error reported by the setsid system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 27 Sep 2011 19:10:55 +1000

libexplain (0.46.D013-1) unstable; urgency=low

  * This change change set fixes a build problem on Ububtu Hardy, cause by
    <linux/types.h> defining struct ustat, conflicting with the definition
    supplied by <ustat.h>

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 13 Sep 2011 00:17:40 +1000

libexplain (0.46.D012-1) unstable; urgency=low

  * This change set fixes a problem with integration build versioning, it was
    failing to regenerate etc/version.so at the rioght times.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 08 Sep 2011 00:17:01 +1000

libexplain (0.46.D011-1) unstable; urgency=low

  * The integration build now also prepares input for freshmeat-submit, for use
    each time the web site is updated with a new release.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 07 Sep 2011 23:39:26 +1000

libexplain (0.46.D010-1) unstable; urgency=low

  * This change set adds code to detect these cases where a file descriptor may
    be open for reading and writing, but the I/O stream it is accessed by is
    only open for one of them, and the user trips over it.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 06 Sep 2011 01:02:31 +1000

libexplain (0.46.D009-1) unstable; urgency=low

  * This change et fixes more places where Hardy has a problem including <linux/
    types.h> and <sys/types.h> in the same compilation unit.
  * My thanks to the LaunchPad PPA build farm for finding this bug.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 26 Aug 2011 22:56:36 +1000

libexplain (0.46.D008-1) unstable; urgency=low

  * This change et fixes yet anther problem with including <linux/types.h> and
    <sys/types.h> together in the same compilation unit.
  * My thanks to the LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 26 Aug 2011 19:38:39 +1000

libexplain (0.46.D007-1) unstable; urgency=low

  * This change set fixes a problem on Ubuntu Hardy when you try to include both
    <linux/types.h> and <sys/types.h> in the same compilation unit.
  * My thanks to the LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 26 Aug 2011 18:28:28 +1000

libexplain (0.46.D006-1) unstable; urgency=low

  * This change set removes some possible false negatives when lsof(1) is not as
    helpful as could be desired.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Aug 2011 22:43:14 +1000

libexplain (0.46.D005-1) unstable; urgency=low

  * On older version sof Linux, it is not possible to include both <linux/
    types.h> and <sys/types.h> in the same compilation unit.  The ./configure
    script now detects this, and the code avoids it.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Aug 2011 18:07:42 +1000

libexplain (0.46.D004-1) unstable; urgency=low

  * This change set copes with early versions of the struct serial_rs485 that
    did not have the delay_rts_after_send member.
  * My thanks to the LaunchPad PPA build farm for finding this bug.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Aug 2011 16:56:01 +1000

libexplain (0.46.D003-1) unstable; urgency=low

  * This change set fixes an Ubuntu Hardy build problem.  My thanks to the
    LaunchPad PPA build farm for finding it.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Aug 2011 14:36:31 +1000

libexplain (0.46.D002-1) unstable; urgency=low

  * A build problem has been fixed for the SIOCSHWTSTAMP ioctl request.	 My
    thanks to Michael Bienia <geser@ubuntu.com> for this patch.
  * Closes: Debian: #611652

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 25 Aug 2011 13:43:57 +1000

libexplain (0.46.D001-1) unstable; urgency=low

  * This change set prepares the LibExplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 24 Aug 2011 22:11:48 +1000

libexplain (0.45.D035-1) unstable; urgency=low

  * There is a new test_fileinfo command, used to exercise the lsof(1)
    functionality of libexplain.  This helped to find an lsof(1) bug on solaris
    8 i386.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 23 Aug 2011 21:23:45 +1000

libexplain (0.45.D034-1) unstable; urgency=low

  * This change set copes with systems that do not implement the fdopendir
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 23 Aug 2011 18:07:56 +1000

libexplain (0.45.D033-1) unstable; urgency=low

  * This change set fixes a bunch more Solaris problems, including no %zd printf
    format, and a few other corner cases.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 22 Aug 2011 21:48:12 +1000

libexplain (0.45.D032-1) unstable; urgency=low

  * This change set fixes a number of problems uncovered by the Solaris 9
    porting exercise.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Aug 2011 22:41:24 +1000

libexplain (0.45.D031-1) unstable; urgency=low

  * This change set adds four missing Linux termional ioctl requests, and fixes
    a couple of others.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 21 Aug 2011 11:56:47 +1000

libexplain (0.45.D030-1) unstable; urgency=low

  * This change set gets rid of the last of the PROC_FS_USEFUL code, replacing
    it with much more flexiblae code that can cope with both Solaris and Linux
    style /proc implementations.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 20 Aug 2011 22:41:00 +1000

libexplain (0.45.D029-1) unstable; urgency=low


