=== debian/control ===
Source: libexplain
Section: devel
Priority: optional
Maintainer: Peter Miller <pmiller@opensource.org.au>
Homepage: http://libexplain.sourceforge.net/
DM-Upload-Allowed: yes
Build-Depends: bison, debhelper (>= 5), groff, libcap-dev, libtool,
 linux-libc-dev, lsof
Standards-Version: 3.9.1

Package: explain
Architecture: any
Description: utility to explain system call errors
 This package provides a command to explain Unix and Linux system call errors,
 after the fact.
Depends: ${misc:Depends}, ${shlibs:Depends}, libexplain30, lsof

Package: libexplain30
Section: libs
Architecture: any
Description: library of syscall-specific strerror replacements
 This package provides a library which may be used to explain Unix and Linux
 system call errors.  The library is not quite a drop-in replacement for
 strerror, but it comes close, with each system call having a dedicated
 libexplain function.
Depends: ${misc:Depends}, ${shlibs:Depends}, lsof

Package: libexplain30-dbg
Section: debug
Priority: extra
Architecture: any
Description: library of syscall-specific strerror replacements - debugging symbols
 This package provides a library which may be used to explain Unix and Linux
 system call errors.  The library is not quite a drop-in replacement for
 strerror, but it comes close, with each system call having a dedicated
 libexplain function.
Depends: ${misc:Depends}, ${shlibs:Depends}, lsof,
 libexplain30 (= ${binary:Version})

Package: libexplain-dev
Section: libdevel
Architecture: any
Description: library of syscall-specific strerror replacements - development files
 This package provides a library which may be used to explain Unix and Linux
 system call errors.  The library is not quite a drop-in replacement for
 strerror, but it comes close, with each system call having a dedicated
 libexplain function.
Depends: ${misc:Depends}, ${shlibs:Depends}, libexplain30 (= ${binary:Version}),
 lsof
