## libexplain 0.49.D001-1

=== debian/changelog ===
libexplain (0.49.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.
  * 0.46.D002: Closes: #611652
  * This is a summary, see earlier changelog entries for details of individual
    bug fixes.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 10 Nov 2011 17:13:34 +1100

libexplain (0.48.D006-1) unstable; urgency=low

  * Explanations are now available for errors reported by the shmctl(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 10 Nov 2011 12:44:01 +1100

libexplain (0.48.D005-1) unstable; urgency=low

  * This change set has the explain_buffer_uid and explain_buffer_gid functions
    honor the no-dialect-specific option, making automated tests much easier to
    write.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 10 Nov 2011 08:40:38 +1100

libexplain (0.48.D004-1) unstable; urgency=low

  * This change set refactors ther code to separate explain_buffer_time_t_start
    from explain_buffer_time_t

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 09 Nov 2011 20:31:28 +1100

libexplain (0.48.D003-1) unstable; urgency=low

  * This change set fixes a Karmic build problem.  My thanks to the LaunchPad
    PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 09 Nov 2011 10:46:36 +1100

libexplain (0.48.D002-1) unstable; urgency=low

  * This change set fixes build problems on Ubuntu before 11.11 precise, and
    Linux kernels after about 3.0.
  * My thanks to the LaunchPad PPA build far for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 09 Nov 2011 08:19:39 +1100

libexplain (0.48.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 08 Nov 2011 21:51:49 +1100

libexplain (0.47.D012-1) unstable; urgency=low

  * This change set also verifies that diff is used in a portable way.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 08 Nov 2011 19:55:00 +1100

libexplain (0.47.D011-1) unstable; urgency=low

  * Explanations are now available for errors reported by the shmat(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 08 Nov 2011 19:46:35 +1100

libexplain (0.47.D010-1) unstable; urgency=low

  * This change sewt adds for logic to ./configure to copwe with some ugly
    corner cases.
  * My thanks to the Debian build farm for finding this problem.
  * Debian: Closes: Bug #645745

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 06 Nov 2011 22:00:36 +1100

libexplain (0.47.D009-1) unstable; urgency=low

  * This change set adds a test program to verify certain things about test
    scripts.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 06 Nov 2011 19:10:26 +1100

libexplain (0.47.D008-1) unstable; urgency=low

  * Dagobert Michelsen <dam@opencsw.org> found the test 625 was throwing a false
    negative in his test environment.  It can now cope with stdin being closed.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 05 Nov 2011 12:29:25 +1100

libexplain (0.47.D007-1) unstable; urgency=low

  * This change set fixes a false negatives on Solaris, caused by the need for a
    space before the width in a "fmt -w 800" command.  My thanks to Dagobert
    Michelsen <dam@opencsw.org> for reporting this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 05 Nov 2011 11:48:52 +1100

libexplain (0.47.D006-1) unstable; urgency=low

  * This change fixes a number of warnings thrown by the new version of GCC that
    comes with Ubuntu Oneiric.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 04 Nov 2011 22:55:06 +1100

libexplain (0.47.D005-1) unstable; urgency=low

  * Eric Smith <eric@brouhaha.com> discovered that lsof(1) could report errors
    as executable names, when it couldn't read the symlink.  These non-results
    are now filtered out.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 10 Oct 2011 00:08:17 +1100

libexplain (0.47.D004-1) unstable; urgency=low

  * Eric Smith <eric@brouhaha.com> discovered three false negatives from tests
    of the kill(2) system call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 09 Oct 2011 19:06:36 +1100

libexplain (0.47.D003-1) unstable; urgency=low

  * This change set adds additional text explaining the problem when a user
    attempts to execute a directory.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 06 Oct 2011 17:42:33 +1100

libexplain (0.47.D002-1) unstable; urgency=low

  * This change set fixes the etc/frashmeat.txt so that it is always shallow,
    and thus available in the first change set when uploading stuff to web
    site(s).

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 28 Sep 2011 08:56:13 +1000
