## libexplain 0.51.D001-1

=== debian/changelog ===
libexplain (0.51.D001-1) unstable; urgency=low

  * This change set prepares the Libexplain project for the next public release.
  * 0.50.D002: Closes: #645745
  * This is a summary, see earlier changelog entries for details of individual
    bug fixes.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 26 Jan 2012 23:46:11 +1100

libexplain (0.50.D002-1) unstable; urgency=low

  * The ptrace(2) support has been improved with more conditionals determined by
    ./configure when building.
  * Debian: Closes: #645745

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 26 Jan 2012 19:26:50 +1100

libexplain (0.50.D001-1) unstable; urgency=low

  * This change set prepares the Libexplain poject for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 16 Jan 2012 09:30:14 +1100

libexplain (0.49.D009-1) unstable; urgency=low

  * SpepS <spepsforge@users.sf.net> discovered that _PC_MIN_HOLE_SIZE isn't
    supported for all Linux. Some more #ifdef was added.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 16 Jan 2012 08:52:11 +1100

libexplain (0.49.D008-1) unstable; urgency=low

  * Eric Smith <eric@brouhaha.com> discovered that some symbols went away in the
    blk_user_trace_setup struct.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 16 Jan 2012 08:44:13 +1100

libexplain (0.49.D007-1) unstable; urgency=low

  * This change set uses the new aede-pilicy vim-mode to be sure all files get a
    vim mode line.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 13 Jan 2012 19:24:15 +1100

libexplain (0.49.D006-1) unstable; urgency=low

  * This change set fixes a false negative from one of the tests.   My thanks to
    the Debian build farm for finding this problem.
  * Debian: Closes: 654199

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 03 Jan 2012 08:42:57 +1100

libexplain (0.49.D005-1) unstable; urgency=low

  * This change set updates the Aegis config to include the data necessary to
    build a .rpm file from the libexplain.spec file using rpmbuild(1).

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 12 Dec 2011 12:28:32 +1100

libexplain (0.49.D004-1) unstable; urgency=low

  * This change set makes the exe(readlink) string search less particular, so
    that it works in more cases. In this instance, on Fedora 14.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 28 Nov 2011 15:52:32 +1100

libexplain (0.49.D003-1) unstable; urgency=low

  * Explanations are nowe available for errors reported by the realpath(3)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 16 Nov 2011 08:23:35 +1100

libexplain (0.49.D002-1) unstable; urgency=low

  * This change set fixes a false negative from one of the tests, it only
    happends on 42-bit systems. My thanks to the LaunchPad PPA build farm for
    finding these problems.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 10 Nov 2011 21:17:36 +1100
