## libexplain 0.52.D002-1

=== debian/changelog ===
libexplain (0.52.D002-1) unstable; urgency=low

  * This change set updates all test that concern EACCES to default pass if
    executed by root, because otherwise they get false negatives when they are
    expecting failures.
  * 0.51.D004: Closes: #614462
  * This is a summary, see earlier changelog entries for details of individual
    bug fixes.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 04 Mar 2012 23:46:21 +1100

libexplain (0.52.D001-1) unstable; urgency=low

  * This change set prepares the libexplain project for the next public release.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 04 Mar 2012 23:31:06 +1100

libexplain (0.51.D004-1) unstable; urgency=low

  * This change set fixes a false negative in test 76. Some recent Linu versions
    have non-POSIX rename semantics, and this confused the test.
  * Debian: Closes: #614462: Variable results, depending on running kernel
    version

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 04 Mar 2012 20:35:39 +1100

libexplain (0.51.D003-1) unstable; urgency=low

  * This change set addresses a build problem on space64 where it has to cope
    with a missing O_LARGEFILE declaration, and yet file flags returned by the
    kernel have the flag set.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Feb 2012 11:02:38 +1100

libexplain (0.51.D002-1) unstable; urgency=low

  * This change set fixes a build problem of libexplain on Alpha with the
    following:
  * libtool: compile:  gcc -Wall -g -O2 -Wall -Wextra -Wl,--as-needed -I. -c
    libexplain/buffer/eio.c  -fPIC -DPIC -o libexplain/buffer/.libs/eio.o
  * In file included from libexplain/buffer/eio.c:22:
  * ./libexplain/ac/fcntl.h:35:32: fatal error: linux/ac/sys/types.h: No such
    file or directory

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 28 Feb 2012 09:47:10 +1100
