=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Package: explain
 Architecture: any
 Description: utility to explain system call errors
- This package provides a command to explain Unix and Linux system call errors,
- after the fact.
+ This package provides an explain(1) command to explain Unix and Linux system
+ call errors, after the fact.
 Depends: ${misc:Depends}, ${shlibs:Depends}, libexplain30, lsof
 
 Package: libexplain30
