## libexplain 1.4.D001

=== debian/changelog ===
libexplain (1.4.D001-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See #765335)
  * Import packaging history into git. Add Vcs-* URLs.
  * Update to Standards-Version: 3.9.6. Drop DMUA.
  * libexplain-dev: Breaks+Replaces: explain (<< 1.0) for moved manpages.
  * Switch to debhelper compat level 9.  (Closes: #741585)
  * Rewrite d/rules with dh and a few overrides.
  * Install library in multiarch libdir.
  * Build with dh_autoreconf.  (Closes: #758065)
  * Rewrite d/copyright.
  * Rework the descriptions to please lintian.
  * alpha-fcntl-h.patch: Remove ancient special case for fcntl.h on alpha.
    (See: #661440)
  * Restrict some Build-Depends to [linux-any].

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Nov 2014 13:04:30 +0100

libexplain (1.4.D001-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761763.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:39:08 +0000

libexplain (1.4.D001-1) unstable; urgency=low

  * This change set prepares the LibExplain projevt or the nect public release.
  * 1.1.D002: Closes: #707432
  * 1.2.D045: Closes: #723409
  * This is a summary, see earlier changelog entries for details of individual
    bug fixes.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Mar 2014 21:00:19 +1100

libexplain (1.3.D025-1) unstable; urgency=low

  * This change set fixes the last few false negative test results, on FreeBSD.

 -- Peter Miller <pmiller@opensource.org.au>  Mon, 03 Mar 2014 13:33:19 +1100

libexplain (1.3.D024-1) unstable; urgency=low

  * This change set fixes some false negatives when testing FreeBSD.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 01 Mar 2014 10:09:24 +1100

libexplain (1.3.D023-1) unstable; urgency=low

  * This change fixes a false negative from test 19 on FreeBSD.
  * ./configure --prefix=/usr

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 28 Feb 2014 11:42:44 +1100

libexplain (1.3.D022-1) unstable; urgency=low

  * This change set gets more of libexplain to compile on FreeBSD.
  * CC=gvc46 \e
  * CPPFLAGS=/usr/local/incvlude \e
  * LDFLAGS=-L/usr/local/lib \e
  * ./configure

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 27 Feb 2014 10:46:59 +1100

libexplain (1.3.D021-1) unstable; urgency=low

  * This change set adds mor efixes for FreeBSD compilation.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 25 Feb 2014 22:24:41 +1100

libexplain (1.3.D020-1) unstable; urgency=low

  * This change set fix es a voupleof FreeBSD build issues.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 23 Feb 2014 12:13:24 +1100

libexplain (1.3.D019-1) unstable; urgency=low

  * This change set fixes additional poblem with the clang compiler.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 22 Feb 2014 22:37:46 +1100

libexplain (1.3.D018-1) unstable; urgency=low

  * This change set vope with dome clang differences.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 21 Feb 2014 20:32:32 +1100

libexplain (1.3.D017-1) unstable; urgency=low

  * This change set copes with ambiguity areound the MS_MOVE symbol defined in
    <sys/mount.h>
  * My thnaks to the LP PPA build farm or findin this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 10 Jan 2014 16:00:53 +1100

libexplain (1.3.D016-1) unstable; urgency=low

  * My thanks to Vinxxe <vinxxe@gmail.com> for reporting a problem compiling
    from source.
  * This change fixes some files that failed to notice the explain_buffer_ebusy
    rename... which is odd, the compiler should have barfed.
  * My thanks to the LP PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Jan 2014 22:39:53 +1100

libexplain (1.3.D015-1) unstable; urgency=low

  * This change set fixes a build problem with mal-formed MS_MOVE defintions in
    <sys/mount.h>
  * My thanks to the LP PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 09 Jan 2014 22:01:55 +1100

libexplain (1.3.D014-1) unstable; urgency=low

  * Explanations are now available for errors reported by the linkat(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Fri, 27 Dec 2013 17:14:10 +1100

libexplain (1.3.D013-1) unstable; urgency=low

  * This changeset fixes abuild glitch om Ubuntu Lucid.
  * zmy thsnks to the LaunchPad PPA build farm for finding this problem.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 08 Dec 2013 20:58:22 +1100

libexplain (1.3.D012-1) unstable; urgency=low

  * Explanations arse now availiable for errors reported by he mount(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 08 Dec 2013 12:52:09 +1100

libexplain (1.3.D011-1) unstable; urgency=low

  * Explasnations are now available for errors reported by the unme(2) system
    call.

 -- Peter Miller <pmiller@opensource.org.au>  Sat, 30 Nov 2013 13:46:06 +1100

libexplain (1.3.D010-1) unstable; urgency=low

  * Explanations are now avsailable for errors reported by the lchownat(2)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Thu, 28 Nov 2013 11:08:56 +1100

libexplain (1.3.D009-1) unstable; urgency=low

  * This change set adds a work-around for gethostname *on* Darwin/OSX.

 -- Peter Miller <pmiller@opensource.org.au>  Wed, 27 Nov 2013 13:13:09 +1100

libexplain (1.3.D008-1) unstable; urgency=low

  * Explanations are now available for errors reported by the settimeofday(2)
    system call.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 26 Nov 2013 20:43:15 +1100

libexplain (1.3.D007-1) unstable; urgency=low

  * This change set imports some of the glib nanosleep fixes.

 -- Peter Miller <pmiller@opensource.org.au>  Tue, 26 Nov 2013 09:30:26 +1100

libexplain (1.3.D006-1) unstable; urgency=low

  * This change adds recursive scanning of the dydtm inlude filers, looking for
    IOctl requests.

 -- Peter Miller <pmiller@opensource.org.au>  Sun, 24 Nov 2013 09:49:46 +1100


