=== debian/control ===
Source: libexplain
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://libexplain.sourceforge.net/
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 bison,
 ghostscript,
 groff,
 libacl1-dev,
 libcap-dev [linux-any],
 libtool-bin,
 linux-libc-dev [linux-any],
 lsof [linux-any],
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libexplain.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libexplain.git

Package: explain
Architecture: any
Description: utility to explain system call errors
 This package provides an explain(1) command to explain Unix and Linux system
 call errors, after the fact.
Depends: ${misc:Depends}, ${shlibs:Depends}, libexplain51, lsof

Package: libexplain-doc
Architecture: all
Section: doc
Description: library of system-call-specific strerror repl - documentation
 This package provides a library which may be used to explain Unix and Linux
 system call errors.  The library is not quite a drop-in replacement for
 strerror, but it comes close, with each system call having a dedicated
 libexplain function.
Depends: ${misc:Depends}

Package: libexplain51
Section: libs
Architecture: any
Description: library of system-call-specific strerror repl
 library of syscall-specific strerror replacements
Depends: ${misc:Depends}, ${shlibs:Depends}, lsof

Package: libexplain51-dbg
Section: debug
Priority: extra
Architecture: any
Description: library of system-call-specific strerror repl - debugging symbols
 library of syscall-specific strerror replacements (debug symbols)
Depends: ${misc:Depends}, ${shlibs:Depends},
 libexplain51 (= ${binary:Version})

Package: libexplain-dev
Section: libdevel
Architecture: any
Breaks: explain (<< 1.0)
Replaces: explain (<< 1.0)
Description: library of system-call-specific strerror repl - development files
 This package provides a library which may be used to explain Unix and Linux
 system call errors.  The library is not quite a drop-in replacement for
 strerror, but it comes close, with each system call having a dedicated
 libexplain function.
 .
 This package contains the development files.
Depends: ${misc:Depends}, ${shlibs:Depends}, libexplain51 (= ${binary:Version}),
 lsof
