=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install
	rm -fv debian/tmp/usr/lib/*/*.la
	rm -fv debian/tmp/usr/share/man/man1/explain_license.1
	rm -fv debian/tmp/usr/share/man/man3/explain_license.3

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libexplain51-dbg
