=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # libexplain - Explain errno values returned by libc functions
-# Copyright (C) 2009 Peter Miller
+# Copyright (C) 2009, 2012 Peter Miller
 # Written by Peter Miller <pmiller@opensource.org.au>
 #
 # This program is free software; you can redistribute it and/or modify
@@ -17,4 +17,5 @@
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 #
 version=3
-http://libexplain.sourceforge.net/debian/libexplain-(.*).tar.gz
+http://sf.net/libexplain/libexplain-(.+)\.tar\.gz
+# vim: set ts=8 sw=4 et :
